package env

import "testing"

func TestVar_code(t *testing.T) {
	tests := []struct {
		name string
		r    Var
		want string
	}{
		{
			name: "default",
			r: Var{
				Name:     "VAR_EXAMPLE",
				Type:     "string",
				Required: true,
				Default:  "default value",
			},
			want: "	VarExample string `env:\"VAR_EXAMPLE,required\" envDefault:\"default value\"`",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if got := tt.r.code(); got != tt.want {
				t.Errorf("Var.code() = %v, want %v", got, tt.want)
			}
		})
	}
}
